Bug 131906 - socketmap not compiled in, but in changelog claimed to be
socketmap not compiled in, but in changelog claimed to be
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-06 12:00 EDT by Alexander Dalloz
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-09 10:38:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Dalloz 2004-09-06 12:00:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.7.2)
Gecko/20040803

Description of problem:
Though the changelog of the Sendmail packages claims:

* Do Jul 01 2004 Thomas Woerner <twoerner@redhat.com> 8.13.0-1.1
 
- fixed init script to not complain missing sendmail-cf package
(#126975)
- better message in /etc/mail/Makefile for missing sendmail-cf package.
- added socketmap support

following debug output states that socketmap is not compiled in:

$ sendmail -bt -d0.9 < /dev/null
Version 8.13.1
 Compiled with: DNSMAP HESIOD HES_GETMAILHOST LDAPMAP LOG MAP_REGEX
                MATCHGECOS MILTER MIME7TO8 MIME8TO7 NAMED_BIND NETINET
NETINET6
                NETUNIX NEWDB NIS PIPELINING SASLv2 SCANF STARTTLS
TCPWRAPPERS
                USERDB USE_LDAP_INIT


Version-Release number of selected component (if applicable):
sendmail-8.13.1-2

How reproducible:
Always

Steps to Reproduce:
1. sendmail -bt -d0.9 < /dev/null | grep -i socketmap
2.
3.
    

Actual Results:  no output

Expected Results:  Compiled with: SOCKETMAP

Additional info: socketmap is a stable new feature of Sendmail 8.13.x
and should be a default compiled in feature; the changelog says it was
added alread with sendmail-8.13.0-1.1
Comment 1 Thomas Woerner 2004-09-09 10:38:04 EDT
This is a bug in the changelog, which will be fixed in the next release.

Note You need to log in before you can comment on or make changes to this bug.